name: Push image to registry
on:
  push:
    branches:
      - main


jobs:
  build-image:
    runs-on: ubuntu-latest
    steps:
      - name: Check out repository code
        uses: actions/checkout@v4
      - name: Login to Docker Hub
        uses: docker/login-action@v3
        with:
          registry: git.matthiasg.dev
          username: ninluc
          password: ${{ secrets.REGISTRY_TOKEN }}
      - name: Build and push
        run: |
          docker build -t git.matthiasg.dev/ninluc/datbrowser:latest .
          docker push git.matthiasg.dev/ninluc/datbrowser:latest
